Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Less_Than< TYPE > Class Template Reference

Function object for determining whether the first object of the given type is less than the second object of the same type. More...

`#include <Functor_T.h>`

List of all members.

## Public Methods
int | operator() (const TYPE &lhs, const TYPE &rhs) const
| Simply calls operator<.

## Detailed Description

### template<class TYPE>
class ACE_Less_Than< TYPE >

Function object for determining whether the first object of the given type is less than the second object of the same type.

## Member Function Documentation

template<class TYPE>
ACE_INLINE int ACE_Less_Than< TYPE >::operator() | ( | const TYPE & | lhs,
|  | const TYPE & | rhs
| ) | const

| Simply calls operator<.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Functor_T.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Functor_T.i